Skip to main content
GET
/
api
/
search
/
use-cases
/
{use_case_id}
/
threads
Fetch threads
curl --request GET \
  --url https://api.example.com/api/search/use-cases/{use_case_id}/threads \
  --header 'Authorization: Bearer <token>'
{
  "use_case_id": "<string>",
  "threads": [
    {
      "thread_id": "<string>",
      "chats": [
        {
          "id": "<string>",
          "use_case_id": "<string>",
          "thread_id": "<string>",
          "knowledge_asset_ids": [
            "<string>"
          ],
          "title": "<string>",
          "entries": [],
          "updated_at": "0001-01-01T00:00:00",
          "created_at": "0001-01-01T00:00:00",
          "targeted_web_search_urls": [
            "<string>"
          ],
          "extracted_urls": [
            "<string>"
          ]
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "title": "<string>"
    }
  ],
  "pagination": {
    "last_chat_id": "<string>",
    "has_more": true,
    "page_size": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

use_case_id
string
required

Query Parameters

page_size
integer | null
Required range: x <= 100
last_chat_id
string | null
include_entries
boolean
default:false

Response

Successful Response

Pydantic model for the response of a paginated fetch threads endpoint.

use_case_id
string
required
threads
ThreadResponse · object[]
required
pagination
PaginationResponse · object
required